//  ********************************************************
//  ***  Weapon: Molotovx                                ***
//  ********************************************************
//  ********** Flying Bottle/Molotov Cocktail **********
//  ********** In use by: ******************************
//  Molotovx
ACTOR SFX_3D_Bottlex replaces Bottlex
{
	DeathSound "weapons/bottle"
	Scale 0.3
	Radius 4 Height 4 Speed 30 Damage 5
	+FIREDAMAGE +NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +DROPOFF +DONTFALL +MISSILE
	States
	{
		Spawn:
			FLY0 ABCDEFGHIJKLMNOPQRST 1
			Loop
		Death:
			TNT1 A 1 
			TNT1 A 1 A_Explode(32, 96, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight", 0, Random(-4, 4), 352)
			TNT1 AAA 3
			TNT1 A 0 A_Jump(191,4)
			TNT1 A 0 A_Explode(32, 96, 0)
			TNT1 AAAAAAA 3
			TNT1 AAAAA 3
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Molotovx                                ***
//  ********************************************************
//  ********** Flying Bottle/Molotov Cocktail **********
//  ********** In use by: ******************************
//  Cultist_yellow
ACTOR SFX_3D_Bottlex_kultist replaces Bottlex_kultist
{
	DeathSound "weapons/bottle"
	Scale 0.4
	Radius 12 Height 8 Speed 40 Damage 5
	+FIREDAMAGE +NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +DROPOFF +DONTFALL +MISSILE
	States
	{
		Spawn:
			FLY0 ABCDEFGHIJKLMNOPQRST 1
			Loop
		Death:
			TNT1 A 1 
			TNT1 A 1 A_Explode(6, 64, 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_Cultist", 0, Random(-4, 4), 0)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 32)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 64)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 96)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 128)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 160)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 192)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 224)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 256)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 288)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 320)
			TNT1 A 0 A_CustomMissile("FireOnFloorShot_NoLight_Cultist", 0, Random(-4, 4), 352)
			TNT1 AAA 3
			TNT1 A 0 A_Jump(191,4)
			TNT1 A 0 A_Explode(6, 64, 0)
			TNT1 AAAAAAA 3
			TNT1 AAAAA 3
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: TNT                                ***
//  ********************************************************
//  Zndschnur sofort Explode -> flug
ACTOR SFX_3D_TNT_BURN_FL replaces TNT_BURN_FL
{
	Health 20
	Renderstyle Normal
	Scale 0.4
	Radius 4 Height 4 Speed 30
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1
			Loop
		Death:
			TNT1 Z 0 A_PlaySound("weapons/tntexplode")
			TNT1 Z 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
			Stop
	}
}
// Zndschnur -> flug und am Boden
ACTOR SFX_3D_TNT_BURN_FL_ALT replaces TNT_BURN_FL_ALT
{ 
	Health 20
	Renderstyle Normal
	Scale 0.4
	Radius 4 Height 4 Speed 30
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1
			Loop
		Death:
			TNTU XYZXYZXYZXYZXYZ 2
			TNTU XYZXYZXYZXYZXYZ 2
			TNTU XYZXYZXYZXYZXYZ 2
			TNTU Z 0 A_PlaySound("weapons/tntexplode")
			TNTU Z 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
			Stop
	}
}
//  ********** TNT **********
//  ********** In use by: ******************************
//  <Cultists>
//  Shots cultist TNT (part1 in air)
ACTOR SFX_3D_TNT_BURN_FL_KULT replaces TNT_BURN_FL_KULT
{ 
	Health 20
	Radius 12 Height 8 Speed 40
	Damage 0 ExplosionDamage 182 ExplosionRadius 162
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	Scale 0.4
	Renderstyle Normal
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1
			Loop
		Death:
			KUTT H 0 A_CustomMissile("TNTExplosion_KULT", 0, 0, 0)
			Stop
	}
}
//  Shots cultist TNT (part2 on floor)
ACTOR SFX_3D_TNT_BURN_FL_ALT_KULT replaces TNT_BURN_FL_ALT_KULT
{ 
	Health 20
	Radius 12 Height 8 Speed 40
	Damage 0 ExplosionDamage 232 ExplosionRadius 192
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	Scale 0.4 Renderstyle Normal
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1
			Loop
		Death:
			TNTU XYZXYZXYZXYZXYZ 2
			TNTU XYZXYZXYZXYZXYZ 2
			KUTT L 0 A_CustomMissile("TNTExplosion_KULT", 0, 0, 0)
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: TNT remote                              ***
//  ********************************************************
ACTOR SFX_3D_TNT_TV_FL replaces TNT_TV_FL
{
	Health 20
	Renderstyle Normal
	Scale 0.4
	Radius 4 Height 4 Speed 30
	Damage 0
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	States
	{
		Spawn:
			TNTU A 0 //Thing_ChangeTid(0,1999)
			TNTU ABCDEFGHIJKLMNO 1
			goto Spawn+1
		Death:
			TNTU XY 16
			TNTU Z 0 Thing_ChangeTid(0,1999)
			TNTU XY 16
			Goto Death+2
	}
}
//  ********************************************************
//  ***  Weapon: TNT proxym                              ***
//  ********************************************************
ACTOR SFX_3D_TNT_DI_FL replaces TNT_DI_FL
{ 
	Renderstyle Normal
	Scale 0.4
	Radius 4 Height 4 Speed 30
	Damage 0
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1 A_Gravity
			Loop
		Death:
			TNTU XYZ 0
			TNTU Z 0 A_CustomMissile("TNT_DI_ONFLOOR_NEW", 0, 0, 0)
			Stop
	}
}
ACTOR SFX_3D_TNT_DI_ONFLOOR_NEW replaces TNT_DI_ONFLOOR_NEW // friendly
{
	Scale 0.4
	+FRIENDLY +FLOORCLIP +MISSILEMORE +MISSILEEVENMORE +NOBLOOD
	+SHORTMISSILERANGE // Attak range is 1000
	+LOOKALLAROUND // Look in all directions
	+STANDSTILL // It is used to prevent inactive monsters from walking around without having something to attack.
	mass 99999999 Health 40 Radius 16 Height 16 Speed 0
	MONSTER
	States
	{
		Spawn:
			TNTU X 0 A_Gravity
			TNTU YZXYZ 4 A_Look
			NULL A 0 A_JumpIfCloser(256, 1)
			Loop
			NULL A 0
			Goto Death
		See:
			TNTU X 4 A_Chase
			TNTU Y 4 A_Jump(128, 1)
			Goto Spawn
			TNTU Z 4 A_Look
			TNTV I 0 A_JumpIfCloser(256, 1)
			Loop
			TNTU Z 1
			Goto Death
		Missile:
			NULL A 0 A_JumpIfCloser(256, 1)
			Goto Spawn
			NULL A 0
			Goto Death
		Death:
			TNT1 A 0 A_PlaySound("weapons/tntexplode")
			TNTU I 0 A_SpawnItemEx("TNTExplosion", 0, 0, 0, 0, 0, 0, -1, SXF_NOCHECKPOSITION)
//			TNTV I 0 A_SpawnItem("TNTExplosion")
			Stop
	}
}
//  ********************************************************
//  ***  Weapon: Skull poison (Poisonskull)              ***
//  ********************************************************
ACTOR SFX_3D_POISON_HEAD replaces POISON_HEAD
{ 
	Health 20
	Renderstyle Normal
	Scale 0.4
	Radius 12 Height 8 Speed 30
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE +NOBLOOD +SHOOTABLE
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1
			Loop
		Death:
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 0) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 45) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 90) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 135) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 180) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 225) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 270) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 315) 
			Stop
	}
}
ACTOR SFX_3D_POISON_HEAD_FLOOR replaces POISON_HEAD_FLOOR
{ 
	Health 20
	Renderstyle Normal
	Scale 0.5
	Radius 12 Height 8 Speed 30 Damage 0
	+NOBLOCKMAP +ACTIVATEPCROSS +ACTIVATEIMPACT +NOTELEPORT +MISSILE
	+NOBLOOD +SHOOTABLE +DOOMBOUNCE
	States
	{
		Spawn:
			TNTU ABCDEFGHIJKLMNO 1
			Loop
		Death:
			TNTU Z 90
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 0) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 45) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 90) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 135) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 180) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 225) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 270) 
			ZOMK A 0  A_CustomMissile("TorturedSoulPoison_CULT", 5, 0, 315) 
			Stop
	}
}
//  ***********************
//  ******  Casings  ******
//  ***********************
ACTOR SFX_3D_CasingShotgun_x replaces CasingShotgun_x
{
	Height 12
	Radius 9
	Speed 2.5
	Scale 0.2
	PROJECTILE
	+DOOMBOUNCE
	-NOGRAVITY
	SeeSound "weapons/casing2"
	States
	{
		Spawn:
			D3S2 A 0 A_PlaySound("NULL")
			D3S2 ABCDEFGHIJKLMNO 1
			Goto Spawn+1
		Death:
			D3S2 A 600
			Stop
	}
}
ACTOR SFX_3D_CasingBullet_x replaces CasingBullet_x
{
	Height 12
	Radius 9
	Speed 2.5
	Scale 0.12
	PROJECTILE
	+DOOMBOUNCE
	-NOGRAVITY
	SeeSound "weapons/casingb2"
	States
	{
		Spawn:
			D3S3 A 0 A_PlaySound("NULL")
			D3S3 ABCDEFGHIJKLMNO 1
			Goto Spawn+1
		Death:
			D3S3 A 600
			Stop
	}
}
ACTOR SFX_3D_CasingShotgun_monster : SFX_3D_CasingShotgun_x replaces CasingShotgun_monster
{
	Speed 1
}
ACTOR SFX_3D_CasingBullet_x_monster : SFX_3D_CasingBullet_x replaces CasingBullet_x_monster
{
	Speed 1
}
